### Function

# Foundry dap_protocol_unwrap_error

#### Declaration [src]

    DexFuture*
    foundry_dap_protocol_unwrap_error (
      DexFuture* completed,
      gpointer user_data
    )

#### Description

No description available.

#### Parameters

`completed`

  Type: `DexFuture`

  No description available.

  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `DexFuture`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.